linux mint 19 (ubuntu 18.04). f.lux works on open-source gpu drivers, does not work on nvidia 396



  • Hi, f.lux does not seem to work with nvidia driver from multiverse, but works with default open-source drivers.
    Unfortunately I rely on this drivers for running tensorflow with cuda, is there a chance you can make it work with proprietary driver?

    $ apt-cache policy fluxgui
    fluxgui:
    Installed: 1:1.1.11~pre~20171222-gf22fdbf-1~bionic
    Candidate: 1:1.1.11~pre~20171222-gf22fdbf-1~bionic
    Version table:
    *** 1:1.1.11~pre~20171222-gf22fdbf-1~bionic 500
    500 http://ppa.launchpad.net/nathan-renniewaldock/flux/ubuntu bionic/main amd64 Packages
    500 http://ppa.launchpad.net/nathan-renniewaldock/flux/ubuntu bionic/main i386 Packages
    100 /var/lib/dpkg/status

    $ nvidia-smi
    Tue Sep 25 12:47:38 2018
    +-----------------------------------------------------------------------------+
    | NVIDIA-SMI 396.54 Driver Version: 396.54 |
    |-------------------------------+----------------------+----------------------+
    | GPU Name Persistence-M| Bus-Id Disp.A | Volatile Uncorr. ECC |
    | Fan Temp Perf Pwr:Usage/Cap| Memory-Usage | GPU-Util Compute M. |
    |===============================+======================+======================|
    | 0 GeForce GTX 970 Off | 00000000:26:00.0 On | N/A |
    | 36% 35C P5 25W / 250W | 194MiB / 4034MiB | 6% Default |
    +-------------------------------+----------------------+----------------------+

    +-----------------------------------------------------------------------------+
    | Processes: GPU Memory |
    | GPU PID Type Process name Usage |
    |=============================================================================|
    | 0 1068 G /usr/lib/xorg/Xorg 157MiB |
    | 0 1596 G cinnamon 17MiB |
    +-----------------------------------------------------------------------------+